<?xml version="1.0"?>
<queryset>

    <fullquery name="videos::video_queue.insert_video_queue">
        <querytext>
            insert into videos_queue (item_id)
	    values (:item_id) 
        </querytext>
    </fullquery>
    
    <fullquery name="videos::delete_video_queue.delete_video_queue">
        <querytext>
            delete from videos_queue
	    where item_id = :item_id
        </querytext>
    </fullquery>

	<fullquery name="videos::convert.write_file_content">
      	<querytext>
                   select :path || content
		   from cr_revisions
		   where revision_id = :revision_id
	          </querytext>
	</fullquery>

	<fullquery name="videos::convert.get_live_revision">
      		<querytext>
		       select revision_id
		       from cr_revisions
		       where item_id = :item_id
		       order by revision_id asc
		       limit 1
	        </querytext>
	</fullquery>
	<fullquery name="videos::get_image_id.select_item_image">
      		<querytext>
         select c.item_id
         from acs_rels a, cr_items c
         where a.object_id_two = c.item_id
           and a.object_id_one = :item_id
           and a.rel_type = 'videos_image_thumbnail_rel'
	   and c.live_revision is not null
       </querytext>
	</fullquery>
	<fullquery name="videos::new.video_insert">
      	<querytext>
		select videos__new (:item_id, :name, :description, :package_id)
       </querytext>
	</fullquery>

	<fullquery name="videos::get.videos_select">
      		<querytext>
	        select  ci.item_id,
        	        v.video_description,
               		v.video_name,
               		v.package_id,
			ao.creation_user,
			ao.creation_ip
        	from    cr_items ci,
               		videos v,
	       		acs_objects ao
        	where   ci.item_id = :item_id
        	and     v.video_id = ci.item_id
		and     ao.object_id = ci.item_id
       		</querytext>
	</fullquery>

	<fullquery name="videos::new.create_rel_image">
      		<querytext>
 		select acs_rel__new (
		         null,
         		'videos_image_thumbnail_rel',
         		:item_id,
         		:image_item_id,
         		null,
         		null,
         		null
        		)
       		</querytext>
	</fullquery>
</queryset>

